"""
 * SnowflakeCatcher is a "game" designed to demonsrate  
 * basic animation and event-driven programs. Here, the "event" being 
 * captured is the left and right arrow keys, which indicate which direction
 * the paddle "Catcher" should move in order to capture a falling snowflake.
 * 
 * @author Richard White, from an idea suggested by a student
 * @version 2017-12-07 (Python
"""
"""
 * The Snowflake class describes falling snowflake in terms of its 
 * position, velocity, and size (radius).
 * @author Richard White
 * @version 2017-08-21
"""

import random
from catcher import *
from snowflake import *

'''
Set up variables that will be used throughout the main program.
'''
windowWidth = 800
windowHeight = 600
snowflakeRadius = 15
s = Snowflake(windowWidth / 2, 0, 0, 10, snowflakeRadius, color(128, 128, 255))
deltaT = 0.2


'''
The setup() method establishes the basic parameters of a Processing
program.
''' 
 
def setup():
    size(800, 600)
    smooth()
    ellipseMode(RADIUS)   # measurements made relative to center


'''
 * The draw() method in Processing loops repeatedly, monitoring for 
 * "events" that might have an effect on the state of the objects in
 * the program.
'''

def draw():
    # need to declare variables used outside as "global"
    global c, s, deltaT
    
    background(0, 0, 0)           # clear the screen
  
    # Draw the snowflake
    fill(s.getColor())            # set up fill for snowflake
    ellipse(s.getX(), s.getY(), s.getRadius(), s.getRadius())
    
    # Move the snowflake
    s.move(deltaT)
  
    # What happens when we hit the bottom?
    # if we reach bottom
    # reset y coordinate to top
    # choose random horizontal position
    # increase velocity!
